API
Substack API
The AI-powered Substack provides 360° Global Media Data & Intelligence on Substack writers, newsletter operators, paid subscription publishers, and independent media creators.
مرجع API الإصدار: 1.0.0 2 نقاط النهاية المصادقة
عنوان URL الأساسي
https://pressmonitor.com/api المصادقة
تتطلب جميع الطلبات رؤوس x-api-key و x-subscription-id. يوثّق x-api-key حسابك؛ ويحدّد x-subscription-id الخدمة المشتركة.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/substack_publication Substack Publication
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| publication | string | query | نعم | Publication name |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/substack_publication?publication=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/substack_posts Substack Publications
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| publication | string | query | نعم | Publication name |
| limit | integer | query | لا | Number of results |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/substack_posts?publication=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
